// unitStrings.js
export const dsiPrefixesHTML = {
  deca: 'da',
  hecto: 'h',
  kilo: 'k',
  mega: 'M',
  giga: 'G',
  tera: 'T',
  peta: 'P',
  exa: 'E',
  zetta: 'Z',
  yotta: 'Y',
  deci: 'd',
  centi: 'c',
  milli: 'm',
  micro: 'µ',
  nano: 'n',
  pico: 'p',
  femto: 'f',
  atto: 'a',
  zepto: 'z',
  yocto: 'y',
  kibi: 'Ki',
  mebi: 'Mi',
  gibi: 'Gi',
  tebi: 'Ti',
  pebi: 'Pi',
  exbi: 'Ei',
  zebi: 'Zi',
  yobi: 'Yi'
};

export const dsiUnitsHTML = {
  metre: 'm',
  kilogram: 'kg',
  second: 's',
  ampere: 'A',
  kelvin: 'K',
  mole: 'mol',
  candela: 'cd',
  one: '1',
  day: 'd',
  hour: 'h',
  minute: 'min',
  degree: '°',
  arcminute: '′',
  arcsecond: '″',
  gram: 'g',
  radian: 'rad',
  steradian: 'sr',
  hertz: 'Hz',
  newton: 'N',
  pascal: 'Pa',
  joule: 'J',
  watt: 'W',
  coulomb: 'C',
  volt: 'V',
  farad: 'F',
  ohm: 'Ω',
  siemens: 'S',
  weber: 'Wb',
  tesla: 'T',
  henry: 'H',
  degreecelsius: '°C',
  lumen: 'lm',
  lux: 'lx',
  becquerel: 'Bq',
  sievert: 'Sv',
  gray: 'Gy',
  katal: 'kat',
  hectare: 'ha',
  litre: 'l',
  tonne: 't',
  electronvolt: 'eV',
  dalton: 'Da',
  astronomicalunit: 'au',
  neper: 'Np',
  bel: 'B',
  decibel: 'dB',
  percent: '%',
  ppm: 'ppm',
  byte: 'Byte',
  bit: 'bit',
  angstrom: 'Å',
  bar: 'bar',
  // Extend as needed...
};

export const dsiKeyWords = {
  tothe: '\\tothe',
  per: '\\per'
};
